--AH:ScriptId=40813878-312f-4ece-8478-93e33735c276;268
-- add salt/password byte columns
ALTER TABLE [Users]
  ADD [Salt_Bytes] BINARY(10) NULL,
      [Password_Bytes] BINARY(20) NULL
GO

-- generate random salts
UPDATE [Users]
  SET [Salt_Bytes] = CAST( NEWID() AS BINARY(10) )
GO

-- append salt to password
UPDATE [Users]
  SET [Password_Bytes] = HASHBYTES('SHA1', [Salt_Bytes] + CAST(COALESCE([Password_Text], '') AS VARBINARY) )
GO

ALTER TABLE [Users]
  DROP COLUMN [Password_Text]
GO
