--AH:ScriptId=a9ecebc1-7fc6-4f0a-b409-709ff8dc06a8;2997
CREATE TABLE [Plans]
(
    [Plan_Id] INT IDENTITY(1,1) NOT NULL,
    [Plan_Name] VARCHAR(255) NOT NULL,
    [Application_Id] INT NULL,
    [PlanType_Code] CHAR(1) NOT NULL,
    [Plan_Bytes] VARBINARY(MAX) NOT NULL,
    [ModifiedOn_Date] DATETIME NOT NULL,
    [ModifiedBy_User_Name] USERNAME NOT NULL,

    CONSTRAINT [PK__Plans] PRIMARY KEY ([Plan_Id]),
    CONSTRAINT [CK__Plans__PlanType_Code] CHECK ([PlanType_Code] IN ('T','D')),
    CONSTRAINT [FK__Plans__Applications] FOREIGN KEY ([Application_Id])
        REFERENCES [Applications] ([Application_Id])
        ON DELETE CASCADE
)