IF OBJECT_ID('[ServerRolesEnvironments_Merged]') IS NOT NULL
	DROP VIEW [ServerRolesEnvironments_Merged]
GO

CREATE VIEW [ServerRolesEnvironments_Merged]
AS

	SELECT DISTINCT

          SR.[ServerRole_Id]
         ,SR.[ServerRole_Name]
         ,E.[Environment_Id]
         ,E.[Environment_Name]
          

	  FROM [ServerRoles] SR
     
INNER JOIN [ServerRoleServers] SRS
        ON SRS.[ServerRole_Id] = SR.[ServerRole_Id]
INNER JOIN [EnvironmentServers] ES
        ON ES.[Server_Id] = SRS.[Server_Id]
INNER JOIN [Environments] E
        ON E.[Environment_Id] = ES.[Environment_Id]

     WHERE E.[Active_Indicator] = 'Y'

GO
