EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApplicationGroups_GetApplicationGroup',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ApplicationGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets an application group by ID.'
GO

IF OBJECT_ID('[ApplicationGroups_GetApplicationGroup]') IS NOT NULL DROP PROCEDURE [ApplicationGroups_GetApplicationGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApplicationGroups_GetApplicationGroup]
(
	@ApplicationGroup_Id INT
)
AS
BEGIN

SET NOCOUNT ON
	SELECT *
	  FROM [ApplicationGroups]
	 WHERE [ApplicationGroup_Id] = @ApplicationGroup_Id

END
GO

GRANT EXECUTE ON [ApplicationGroups_GetApplicationGroup] TO [BuildMasterUser_Role]
