EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Containers_SetActive',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deactivates or reactivates a container.'
GO

IF OBJECT_ID('[Containers_SetActive]') IS NOT NULL DROP PROCEDURE [Containers_SetActive]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Containers_SetActive]
(
    @Container_Id INT,
	@Active_Indicator YNINDICATOR
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [Containers]
	   SET [Active_Indicator] = @Active_Indicator
	 WHERE [Container_Id] = @Container_Id

END
GO

GRANT EXECUTE ON [Containers_SetActive] TO [BuildMasterUser_Role]
