--AH:ScriptId=f91cbc38-0ef5-4031-8cfc-0a21faac3177;564
INSERT [VariableDeclarations]
(
	[Scope_Code],
	[Variable_Name],
	[Scoped_Application_Id],
	[Required_Indicator],
	[Variable_Configuration],
	[DefaultValue_Text],
	[CreatedBy_User_Name],
	[CreatedOn_Date],
	[ModifiedBy_User_Name],
	[ModifiedOn_Date]
)
SELECT [Scope_Code] = CASE
                           WHEN V.[Build_VariableUsage_Code] = 'N' THEN 'R'
                           ELSE 'B'
                      END,
       [Variable_Name] = V.[Variable_Name],
       [Scoped_Application_Id] = V.[Application_Id],
       [Required_Indicator] = CASE
                                   WHEN V.[Build_VariableUsage_Code] <> 'N' AND NULLIF(V.[DefaultValue_Text],'') IS NULL THEN 'Y'
                                   ELSE 'N'
                              END,
       [Variable_Configuration] = V.[Variable_Configuration],
       [DefaultValue_Text] = CASE
                                 WHEN V.[Build_VariableUsage_Code] <> 'N' AND NULLIF(V.[DefaultValue_Text],'') IS NULL THEN NULL
                                 ELSE COALESCE(NULLIF(V.[DefaultValue_Text],''), 'undefined')
                             END,
       [CreatedBy_User_Name] = COALESCE(V.[CreatedBy_User_Name],'UNKNOWN'),
       [CreatedOn_Date] = COALESCE(V.[CreatedOn_Date],'2009-01-01'),
       [ModifiedBy_User_Name] = V.[ModifiedBy_User_Name],
       [ModifiedOn_Date] = V.[ModifiedOn_Date]
  FROM [Variables] V
 WHERE NOT (V.[Build_VariableUsage_Code] = 'N' AND V.[Release_VariableUsage_Code] = 'N')
 
 
 INSERT [VariableDefinitions]
 (
	[Variable_Name],
	[Application_Id],
	[Release_Number],
	[Build_Number],
	[Value_Text]
)
SELECT [Variable_Name] = BVV.[Variable_Name],
       [Application_Id] = BVV.[Application_Id],
       [Release_Number] = BVV.[Release_Number],
       [Build_Number] = BVV.[Build_Number],
       [Value_Text] = BVV.[Variable_Value]
  FROM [BuildVariableValues] BVV


INSERT [VariableDefinitions]
(
	[Variable_Name],
	[Application_Id],
	[Release_Number],
	[Value_Text]
)
SELECT [Variable_Name] = RVV.[Variable_Name],
       [Application_Id] = RVV.[Application_Id],
       [Release_Number] = RVV.[Release_Number],
       [Value_Text] = RVV.[Variable_Value]
  FROM [ReleaseVariableValues] RVV
