--AH:ScriptId=4af1b95d-9e37-439f-b9dd-4c7d44573646;627

UPDATE [Releases]
   SET [Sortable_Release_Number] = (SELECT [Rank] FROM 
    (SELECT [Application_Id], [Release_Number], [Rank] = RANK() OVER (PARTITION BY [Application_Id] ORDER BY [Sortable_Release_Number], [CreatedOn_Date])
       FROM [Releases]) R_RANKED
    WHERE R.[Application_Id] = R_RANKED.[Application_Id]
      AND R.[Release_Number] = R_RANKED.[Release_Number])
FROM [Releases] R
GO

EXEC sp_rename 'Releases.Sortable_Release_Number', 'Release_Sequence'
GO

